| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::ParallelJobServerGen< InputType, ResultType, JobContainerType > Class Template Reference

Parallel job server for job containers that inherit from ParallelJobContainerGen. More...

Inheritance diagram for IG::Num::ParallelJobServerGen< InputType, ResultType, JobContainerType >:
[legend]
Collaboration diagram for IG::Num::ParallelJobServerGen< InputType, ResultType, JobContainerType >:
[legend]

List of all members.

## Public Member Functions
| ParallelJobServerGen ()
| ParallelJobServerGen ()
## Protected Member Functions
override void | RunJobDefined (JobContainerType jobData)
| Runs the job whose data is contained in the specified job data container.

## Detailed Description

### template<InputType, ResultType, JobContainerType>
class IG::Num::ParallelJobServerGen< InputType, ResultType, JobContainerType >

Parallel job server for job containers that inherit from ParallelJobContainerGen.

Template Parameters:

  InputType | Type of inpout data for jobs.
  ResultType | Type of output data for jobs.
  JobContainerType | Type of the job data container used by this parallel server class. It must be be of type ParallelJobContainer<InputType, ResultType>, or must derive form this type.

Template Parameters:

  InputType | Type of inpout data for jobs.
  ResultType | Type of output data for jobs.

Type Constraints

  JobContainerType | : | ParallelJobContainerGen |
  JobContainerType | : | InputType |
  JobContainerType | : | ResultType |

## Member Function Documentation

template<InputType , ResultType , JobContainerType >

IG::Num::ParallelJobServerGen< InputType, ResultType, JobContainerType >::ParallelJobServerGen | ( |  | ) | `[inline]`

template<InputType , ResultType , JobContainerType >

override void IG::Num::ParallelJobServerGen< InputType, ResultType, JobContainerType >::RunJobDefined | ( | JobContainerType | jobData | ) | `[inline, protected, virtual]`

Runs the job whose data is contained in the specified job data container.

Parameters:

  jobData | Data container for the job to be run.

This method runs the job by runniing the ParallelJobContainer<InputType, ResultType>.RunJob method defined on the job container (argument jobData ).

Implements IG::Num::ParallelJobServerBase< JobContainerType >.

template<InputType , ResultType , JobContainerType >

IG::Num::ParallelJobServerGen< InputType, ResultType, JobContainerType >::ParallelJobServerGen | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ParallelJobContainerGen.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events